Subject: Re: [PATCH net 0/2] net: u64_stats fixups for 32bit.

From: [email-masked]
Date: Mon, 29 Aug 2022 12:10:15 +0000

Hello:

This series was applied to netdev/net.git (master)
by David S. Miller <[email-masked]>:

On Thu, 25 Aug 2022 13:36:43 +0200 you wrote:
> Hi,
> 
> while looking at the u64-stats patch
> 	https://lore.kernel.org/all/[email-masked]
> 
> I noticed that u64_stats_fetch_begin() is used. That suspicious thing
> about it is that network processing, including stats update, is
> performed in NAPI and so I would expect to see
> u64_stats_fetch_begin_irq() in order to avoid updates from NAPI during
> the read. This is only needed on 32bit-UP where the seqcount is not
> used. This is address in 2/2. The remaining user take some kind of
> precaution and may use u64_stats_fetch_begin().
> 
> [...]

Here is the summary with links:
  - [net,1/2] net: dsa: xrs700x: Use irqsave variant for u64 stats update
    https://git.kernel.org/netdev/net/c/3f8ae9fe0409
  - [net,2/2] net: Use u64_stats_fetch_begin_irq() for stats fetch.
    https://git.kernel.org/netdev/net/c/278d3ba61563

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html